
Core - Bug # 56701

Status: Closed Priority: Must have
Author: Jost Baron Category: TypoScript
Created: 2014-03-10 Assigned To:
Updated: 2015-01-24 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Is Regression: No
Sprint Focus:
Subject: Static template of css_styled_content can no longer be included using <INCLUDE_TYPOSCRIPT>
Description

If it is included using an <INCLUDE> directive, certain other TS (Plugin rendering definitions) is not included. The problematic commit
is
3ce53655a3739dadd732556e1902e7686ef59260 (https://review.typo3.org/#/c/27587/).

Steps to reproduce:

1. Create a new TYPO3 installation using the current master branch.
2. Install the development branch of EXT:flux (https://github.com/FluidTYPO3/flux)
3. Install the development branch of EXT:fluidcontent (https://github.com/FluidTYPO3/fluidcontent)

Create a new root page with the following root template:

Constants:
<INCLUDE_TYPOSCRIPT: source="FILE:EXT:css_styled_content/static/constants.txt">

Setup:
<INCLUDE_TYPOSCRIPT: source="FILE:EXT:css_styled_content/static/setup.txt">
page = PAGE
page.10 < styles.content.get

4. Check out commit 3ce53655a3739dadd732556e1902e7686ef59260 of the TYPO3 core and view the full Typoscript Template in the
Analyzer. There is no object tt_content.fluidcontent_content being defined.
5. When using the previous commit 85d88e4f9d0efe4443bace89ce98c585255cacfd, tt_content.fluidcontent_content is defined
correctly.

Related issues:
duplicates Core - Bug # 56570: No rendering definition for CE / no list for p... Closed 2014-03-05

History
#1 - 2014-03-10 12:07 - Jan Kiesewetter

I also reported it here: http://forge.typo3.org/issues/56570

#2 - 2014-03-10 12:20 - Jan Kiesewetter
Thanks for pointing me to the commit!

It seems to work if you add

// Mark the delivered TypoScript templates as "content rendering template" (providing the hooks of "static template 43" = content (default))
$GLOBALS['TYPO3_CONF_VARS']['FE']['contentRenderingTemplates'][] = 'yourpackagekey/Configuration/TypoScript/';

to ext_localconf.php

#3 - 2014-03-18 09:46 - André Wuttig

I try to get it work for our TYPO3 6.2 application. Can anyone describe a best practice how to include TS (Plugin rendering definitions) correctly?!

#4 - 2014-03-18 15:27 - Jan Kiesewetter

If your template is within an extension you can do it like this:
https://bitbucket.org/t3see/basepackage/commits/2df60c989b1f228db2bca8deac3a748564e7bcdb

#5 - 2015-01-24 22:16 - Mathias Schreiber
- Status changed from New to Closed

dupe

#6 - 2015-01-24 22:17 - Mathias Schreiber
- Status changed from Closed to New
- Target version changed from 6.2.0 to 7.2 (Frontend)

#7 - 2015-01-24 22:19 - Mathias Schreiber
- Status changed from New to Closed

closed. works like a charm
